<?php
error_reporting(E_ALL);

// Set flag that this is a parent file
define( '_JEXEC', 1 );

define('JPATH_BASE', '../../../../' );
define( 'DS', DIRECTORY_SEPARATOR );

require_once ( JPATH_BASE .DS.'includes'.DS.'defines.php' );
require_once ( JPATH_BASE .DS.'includes'.DS.'framework.php' );

JDEBUG ? $_PROFILER->mark( 'afterLoad' ) : null;

$mainframe =& JFactory::getApplication('site');
error_reporting(E_ALL);
$mainframe->initialise();


include 'securimage.php';
$captcha = new securimage();


function getVar($name, $default = null, $hash = 'default', $type = 'none', $mask = 0){
	$json 		= JRequest::getVar('json','');
	// json_decode() does not handle line breaks so I had to encode them; 
	// I've also added encodeURIcomponent() to the javascript in helper.php
	$json		= str_replace("\"{",'{',$json); //Added in order to work with IIS
	$json		= str_replace("}\"",'}',$json); //Added in order to work with IIS
	$json		= str_replace('\"','"',$json);	//Added in order to work with IIS
	$json		= str_replace("\n",'%0A',$json);
	$json		= str_replace("\r",'%0A',$json);
	$json		= str_replace("%2540",'%40',$json);
	$json		= str_replace("%40",'@',$json); // Some servers do not decode correctly
	$json		= str_replace("%20",' ',$json); // Some servers do not decode correctly
	

	$json 		= json_decode(($json), true) ; //Added in order to work with IIS before it was json_decode(json_decode($json), true) 
	if( isset($json[$name]) && $default == null){
		$default = ($json[$name]);
	}
	return urldecode(JRequest::getVar($name, $default, $hash, $type, $mask) );
	//return (JRequest::getVar($name, $default, $hash, $type, $mask) );
}

echo json_encode( array('action'=>$captcha->validateJSON(getVar('captcha_code') ))); exit();