<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @subpackage Views
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 04-Dec-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses. */

//-- No direct access
defined('_JEXEC') or die('=;)');

JHTML::_('behavior.tooltip');

?>
<script language="javascript" type="text/javascript">
	function tableOrdering( order, dir, task ) {
	var form = document.adminForm;

	form.filter_order.value 	= order;
	form.filter_order_Dir.value	= dir;
	document.adminForm.submit( task );
}
</script>
<div id="component-contact-enhanced" 
	class="ce-container<?php echo $this->params->get( 'pageclass_sfx' ) 
		. (JRequest::getVar('tmpl') ? ' ce-modal-container' : ''); ?>">

<?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
	<h1 class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
		<?php echo $this->params->get( 'page_title' ); ?>
	</h1>
<?php endif; ?>

	<div class="ce-select-contact">
		<form action="index.php?option=com_contact_enhanced" method="post" name="adminForm" id="adminForm">
		<table>
			<tr>
				<td align="left" width="100%">
					<?php echo JText::_( 'Filter' ); ?>:
					<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
					<?php echo $this->lists['catid']; ?>
					<button onclick="$('task').value='';this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
					<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_item').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
				</td>
				
			</tr>
		</table>
		<div id="tablecell">
			<table class="adminlist">
			<thead>
				<tr>
					<th align="center" width="1%"  class="sectiontableheader">
						<?php echo JText::_( 'NUM' ); ?>
					</th>
					<?php $coloumnCount = 1; ?>
				<?php if($this->params->get('msgs_msgs_show_id',0)): ?>
					<th align="center" width="1%" nowrap="nowrap" class="sectiontableheader">
						<?php echo JHTML::_('grid.sort',   'id', 'm.id', $this->lists['order_Dir'], $this->lists['order'] ); ?>
					</th>
				<?php 
					$coloumnCount++;
					endif; 
				?>
				
				<?php if($this->params->get('msgs_msgs_show_name',0)): ?>
					<th align="center" class="sectiontableheader">
						<?php echo JHTML::_('grid.sort', 'Name', 'm.from_name', $this->lists['order_Dir'], $this->lists['order']);?>
					</th>
				<?php 
					$coloumnCount++;
					endif; 
				?>
				<?php if($this->params->get('msgs_msgs_show_email',0)): ?>
					<th align="center" class="sectiontableheader">
						<?php echo JHTML::_('grid.sort', 'Email', 'm.from_email', $this->lists['order_Dir'], $this->lists['order']);?>
					</th>
				<?php 
					$coloumnCount++;
					endif; 
				?>
				<?php if($this->params->get('msgs_msgs_show_subject',1)): ?>
					<th align="center" class="sectiontableheader">
						<?php echo JHTML::_('grid.sort', 'Subject', 'm.subject', $this->lists['order_Dir'], $this->lists['order']);?>
					</th>
				<?php 
					$coloumnCount++;
					endif; 
				?>
				<?php if($this->params->get('msgs_msgs_show_published',0)): ?>
					<th align="center" class="sectiontableheader">
						<?php echo JHTML::_('grid.sort', 'Published', 'm.published', $this->lists['order_Dir'], $this->lists['order']);?>
					</th>
				<?php 
					$coloumnCount++;
					endif; 
				?>
				<?php if($this->params->get('msgs_msgs_show_replies',1)): ?>
					<th align="center" class="sectiontableheader">
						<?php echo JHTML::_('grid.sort', 'Replies', 'replies', $this->lists['order_Dir'], $this->lists['order']);?>
					</th>
				<?php 
					$coloumnCount++;
					endif; 
				?>	
				<?php if($this->params->get('msgs_show_lastreply',1)): ?>
					<th align="center" class="sectiontableheader"><?php echo JText::_('Last reply by');?></th>
				<?php 
					$coloumnCount++;
					endif; 
				?>
				<?php if($this->params->get('msgs_show_form_name',1)): ?>
					<th align="center" class="sectiontableheader">
						<?php echo JHTML::_('grid.sort', 'Contact Form', 'm.contact_id', $this->lists['order_Dir'], $this->lists['order']);?>
					</th>
				<?php 
					$coloumnCount++;
					endif; 
				?>	
				<?php if($this->params->get('msgs_show_category',1)): ?>
					<th align="center" class="sectiontableheader">
						<?php echo JHTML::_('grid.sort', 'Category', 'm.category_id', $this->lists['order_Dir'], $this->lists['order']);?>
					</th>
				<?php 
					$coloumnCount++;
					endif; 
				?>
				<?php if($this->params->get('msgs_show_date',1)): ?>
					<th align="center" class="sectiontableheader">
						<?php echo JHTML::_('grid.sort', 'Date', 'm.date', $this->lists['order_Dir'], $this->lists['order']);?>
					</th>
				<?php 
					$coloumnCount++;
					endif; 
				?>
				<?php if($this->params->get('msgs_show_attachments',0)): ?>
					<th align="center" width="5%" class="sectiontableheader">
						<?php echo JText::_('Has attachments');?>
					</th>
				<?php 
					$coloumnCount++;
					endif; 
				?>	
				</tr>
			</thead>
			
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count( $this->items ); $i < $n; $i++)
			{
				$row = &$this->items[$i];
				$link = JRoute::_( 'index.php?option=com_contact_enhanced&view=message&id='. $row->id.'&catid='. $row->category_id);
				
				$checked 	= JHTML::_('grid.id',  $i, $row->id );
		
				$published 	= $this->HTMLPublished($row, $i );
			?>
				<tr class="sectiontableentry<?php echo ($i % 2)+1; ?>">
					<td>
						<span class="editlinktip hasTip" title="<?php echo JText::_('View'); ?>">
							<a href="<?php echo $link; ?>">
								<?php echo $this->pagination->getRowOffset($i); ?>
							</a>
						</span>
						<span style="display:none">
							<?php echo $checked; ?>
						</span>
					</td>
					
				<?php if($this->params->get('msgs_show_id',0)): ?>
					<td align="center"><?php echo $row->id; ?></td>
				<?php endif; ?>	
					
				<?php if($this->params->get('msgs_show_name',0)): ?>
					<td align="center"><?php echo $row->from_name; ?></td>
				<?php endif; ?>	
				
				<?php if($this->params->get('msgs_show_email',0)): ?>
					<td align="center"><?php echo $row->from_email; ?></td>
				<?php endif; ?>	
				
				<?php if($this->params->get('msgs_show_subject',1)): ?>
					<td><?php echo JHTML::_('link', $link, $row->subject, 'title="'.JText::_('View').'"'); ?></td>
				<?php endif; ?>	
				
				<?php if($this->params->get('msgs_show_published',0)): ?>
					<td align="center"><?php echo $row->published; ?></td>
				<?php endif; ?>
				
				<?php if($this->params->get('msgs_show_replies',1)): ?>
					<td align="center"><?php echo $row->replies; ?></td>
				<?php endif; ?>
				
				<?php if($this->params->get('msgs_show_lastreply',1)): ?>
					<td align="center">
						<?php 	if($row->replied_by){
									$lastReplier	= $user =& JFactory::getUser($row->replied_by);
									echo $lastReplier->name.' ('.$lastReplier->username.')';
								}else{
									echo JText::_('Never replied');
								} ?></td>
				<?php endif; ?>
				
				<?php if($this->params->get('msgs_show_form_name',1)): ?>
					<td align="center"><?php echo $row->contact_name; ?></td>
				<?php endif; ?>
				
				<?php if($this->params->get('msgs_show_category',1)): ?>
					<td align="center"><?php echo $row->category_name; ?></td>
				<?php endif; ?>
				
				<?php if($this->params->get('msgs_show_date',1)): ?>
					<td align="center"><?php 
						$date			=& JFactory::getDate($row->date);
						echo $date->toFormat(JText::_('DATE_FORMAT_LC4'));?></td>
				<?php endif; ?>
				
				<?php if($this->params->get('msgs_show_form_name',0)): ?>
					<td align="center">
						<?php if( $row->attachments ): ?>
							<span class="editlinktip hasTip" title="<?php echo $row->attachments; ?>">
								<?php echo JText::_('Yes'); ?>
							</span>
						<?php else: ?>
							<?php echo JText::_('No'); ?>
						<?php endif; ?>
					</td>
				<?php endif; ?>
								
				</tr>
				<?php
					$k = 1 - $k;
				}
				?>
			</tbody>
		    <tfoot>
		    <tr>
		      <td colspan="<?php echo $coloumnCount + 1; ?>"><?php echo $this->pagination->getListFooter(); ?></td>
		    </tr>
		  </tfoot>
			</table>
		</div>
			<input type="hidden" name="option" value="com_contact_enhanced" />
			<input type="hidden" name="task" id="task" value="" />
			<input type="hidden" name="boxchecked" value="0" />
			<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
			<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
			<input type="hidden" name="controller" value="messages" />
			<input type="hidden" name="view" value="messages" />
			<input type="hidden" name="Itemid" value="<?php echo JRequest::getVar('Itemid'); ?>" />
			<?php echo JHTML::_( 'form.token' ); ?>
		</form>
	</div>
</div>