<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @subpackage Tables
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 28-Jul-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses. */


//--No direct access
defined('_JEXEC') or die('Direct Access NOT Allowed. Please try to access the main page');

/**
 * Class for table contact_enhanced_cv
 *
 */
class Tablecustomvalue extends JTable
{
	var $db = null;
	
	/**
	 * @var int
	 */
	var $id = 0;

	/**
	 * @var varchar
	 */
	var $text = NULL;

	/**
	 * @var varchar
	 */
	var $value = NULL;

	/**
	 * @var mediumtext
	 */
	var $description = NULL;

	/**
	 * @var tinyint
	 */
	var $ordering = 0;

	/**
	 * @var varchar
	 */
	var $category = NULL;
	
	/**
	 * @var varchar
	 */
	var $type	= NULL;
	
	/**
	 * @var varchar
	 */
	var $parent	= NULL;

	/**
	 * @var tinyint
	 */
	var $published = 0;

	/**
	 * @var mediumtext
	 */
	var $params = NULL;


	/**
	 * Constructor
	 *
	 * @param $_db object Database connector object
	 */
	function __construct( &$_db )
	{
		parent::__construct( '#__contact_enhanced_cv', 'id', $_db );
		$this->db = $_db;
	}// function

}// class
