<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @subpackage Tables
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 04-Dec-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses. */

//-- No direct access
defined('_JEXEC') or die('=;)');

/**
 * Class for table contact_enhanced_messages
 *
 */
class TableMessage extends JTable
{
	var $db = null;
	
	/**
	 * @var int unsigned
	 */
	var $id = NULL;

	/**
	 * @var int
	 */
	var $parent = 0;

	/**
	 * @var varchar
	 */
	var $from_name = NULL;
	
	/**
	 * @var varchar
	 */
	var $from_email = NULL;

	/**
	 * @var int unsigned
	 */
	var $from_id = NULL;
	
	/**
	 * @var varchar
	 */
	var $subject = NULL;

	/**
	 * @var int
	 */
	var $contact_id = 0;

	/**
	 * @var int
	 */
	var $category_id = NULL;

	/**
	 * @var datetime
	 */
	var $date = NULL;

	/**
	 * @var datetime
	 */
	var $reply_date = NULL;

	/**
	 * @var int unsigned
	 */
	var $replied_by = NULL;

	/**
	 * @var mediumtext
	 */
	var $message = NULL;
	
	/**
	 * @var varchar
	 */
	var $user_ip = NULL;
	
	/**
	 * @var int
	 */
	var $published = NULL;


	/**
	 * Constructor
	 *
	 * @param $_db object Database connector object
	 */
	function __construct( &$_db )
	{
		parent::__construct( '#__contact_enhanced_messages', 'id', $_db );
		$this->db = $_db;
	}// function


	
}// class
