<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @subpackage Tables
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 04-Dec-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses. */

//-- No direct access
defined('_JEXEC') or die('=;)');

/**
 * Class for table contact_enhanced_messages
 *
 */
class TableMessagefields extends JTable
{
	var $db = null;
	
	/**
	 * @var int unsigned
	 */
	var $id = NULL;

	/**
	 * @var int
	 */
	var $message_id		= NULL;

	/**
	 * @var int unsigned
	 */
	var $field_id		= NULL;

	/**
	 * @var varchar
	 */
	var $field_type		= NULL;

	/**
	 * @var mediumtext
	 */
	var $value			= NULL;

	/**
	 * @var bool
	 */
	var $modified		= NULL;


	/**
	 * Constructor
	 *
	 * @param $_db object Database connector object
	 */
	function __construct( &$_db )
	{
		parent::__construct( '#__contact_enhanced_message_fields', 'id', $_db );
		$this->db = $_db;
	}// function

}// class
