<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 28-Jul-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
$doc =& JFactory::getDocument();
$doc->addStyleSheet(JURI::root(). 'components/com_contact_enhanced/assets/css/validate.css');
$cparams =& JComponentHelper::getParams('com_media');
?>
<div class="ce-category-container">
	<?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
	<?php echo $this->category->title; ?>
	</div>
	<?php endif; ?>
	<div class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
	<?php if ($this->category->image || $this->category->description) : ?>
		<div class="contentdescription<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
		<?php if ($this->category->image) : ?>
			<img src="<?php echo $this->baseurl .'/'. 'images/stories' . '/'. $this->category->image; ?>" align="<?php echo $this->category->image_position; ?>" hspace="6" alt="<?php echo JText::_( 'Contacts' ); ?>" />
		<?php endif; ?>
		<?php echo $this->category->description; ?>
		</div>
	<?php endif; ?>
	<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
		<tbody>
		<?php if ($this->params->get( 'show_headings' )) : ?>
			<tr>
				<td height="20" class="ce-header-name sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
					<?php echo JHTML::_('grid.sort',  'Name', 'cd.name', $this->lists['order_Dir'], $this->lists['order'] ); ?>
				</td>
				<?php if ( $this->params->get( 'show_position' ) ) : ?>
				<td height="20"  width="15%" class="ce-header-position sectiontableheader<?php echo  $this->params->get( 'pageclass_sfx' ); ?>">
					<?php echo JHTML::_('grid.sort',  'Position', 'cd.con_position', $this->lists['order_Dir'], $this->lists['order'] ); ?>
				</td>
				<?php endif; ?>
				<?php if ( $this->params->get( 'show_email' ) ) : ?>
				<td height="20" width="20%" class="ce-header-email sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
					<?php echo JText::_( 'Email' ); ?>
				</td>
				<?php endif; ?>
				<?php if ( $this->params->get( 'show_telephone' ) ) : ?>
				<td height="20" width="20%" class="ce-header-phone  sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
					<?php echo JText::_( 'Phone' ); ?>
				</td>
				<?php endif; ?>
				<?php if ( $this->params->get( 'show_mobile' ) ) : ?>
				<td height="20"  width="20%" class="ce-header-mobile sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
					<?php echo JText::_( 'Mobile' ); ?>
				</td>
				<?php endif; ?>
				<?php if ( $this->params->get( 'show_fax' ) ) : ?>
					<td height="20"  width="20%" class="ce-header-fax sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
						<?php echo JText::_( 'Fax' ); ?>
					</td>
				<?php endif; ?>
			</tr>
		<?php endif; ?>
		<?php echo $this->loadTemplate('items'); ?>
	</tbody>
	</table>
	<br />
	<br />

	</div>
</div>