<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 28-Jul-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<?php foreach($this->items as $item) : ?>
<tr class="sectiontableentry<?php echo $item->odd + 1; ?>">
	<td height="20">
	<?php 
		if($this->params->get( 'show_contact_image' ) == 'table' AND $item->image ){
			$image = JHTML::_('image',  JURI::base().$this->config->image_path . $item->image, JText::_( 'Contact' ), array('align' => 'middle', 'class'=> 'ce-contact-img-cat'));
			echo JHTML::_('link',$item->link,$image, array('class'=>'category'.$this->params->get( 'pageclass_sfx' )) );
			echo JHTML::_('link',$item->link,$item->name, array('class'=>'category'.$this->params->get( 'pageclass_sfx' )) );
		}elseif ($this->params->get( 'show_contact_image','tooltip' ) == 'tooltip' AND $item->image){
			$image	= JHTML::_('image',  JURI::base().$this->config->image_path . $item->image, JText::_( 'Contact' ), array('align' => 'middle', 'class'=> 'ce-contact-img-cat-tooltip'));
			$image	= JHTML::tooltip($image,$item->name,'',$item->name);
			echo JHTML::_('link',$item->link,$image, array('class'=>'category'.$this->params->get( 'pageclass_sfx' )) );
		}else{
			echo JHTML::_('link',$item->link,$item->name, array('class'=>'category'.$this->params->get( 'pageclass_sfx' )) );
		} 
	?>
	</td>
	<?php if ( $this->params->get( 'show_position' ) ) : ?>
	<td>
		<?php echo $item->con_position; ?>
	</td>
	<?php endif; ?>
	<?php if ( $this->params->get( 'show_email' ) ) : ?>
	<td width="20%">
		<?php echo $item->email_to; ?>
	</td>
	<?php endif; ?>
	<?php if ( $this->params->get( 'show_telephone' ) ) : ?>
	<td width="15%">
		<?php echo $item->telephone; ?>
	</td>
	<?php endif; ?>
	<?php if ( $this->params->get( 'show_mobile' ) ) : ?>
	<td width="15%">
		<?php echo $item->mobile; ?>
	</td>
	<?php endif; ?>
	<?php if ( $this->params->get( 'show_fax' ) ) : ?>
	<td width="15%">
		<?php echo $item->fax; ?>
	</td>
	<?php endif; ?>
	<?php if ( $this->params->get( 'show_website' ) ) : ?>
	<td width="15%">
		<?php echo JHTML::_('link',$item->webpage, ceHelper::shortenURL($item->webpage)); ?>
	</td>
	<?php endif; ?>
</tr>
<?php endforeach; ?>
