<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @subpackage Views
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 04-Dec-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses. */

//-- No direct access
defined('_JEXEC') or die('=;)');

jimport('joomla.application.component.view');

$lang =& JFactory::getLanguage();
$lang->load('com_contact_enhanced',JPATH_ROOT);

class ContactViewMessage extends JView
{
	function display($tpl = null)
	{
		if(JRequest::getInt('id')){
			$cid	= array(JRequest::getInt('id'));
			JRequest::setVar('cid',$cid);
		}
		//Data from model
		$item			=& $this->get('Data');
		//$customfields	=& $this->get('RecordedFields');
		$attachments	=& $this->get('Attachments');
		$replies		=& $this->get('Replies');
		
		$doc	= &JFactory::getDocument();
		$app	= &JFactory::getApplication();
		$params = &$app->getParams('com_contact_enhanced');
		$menus	= &JSite::getMenu();
		$menu	= $menus->getActive();

		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		if (is_object( $menu )) {
			$menu_params = new JParameter( $menu->params );
			$params->merge($menu_params);
			if (!$params->get( 'page_title')) {
				$params->set('page_title',	$menu->name);
			}
		} else {
			$params->set('page_title',	'');
		}
		$doc->setTitle( $params->get( 'page_title' ) );
		
		$this->assignRef('item',			$item);
		$this->assignRef('customfields',	$customfields);
		$this->assignRef('attachments',		$attachments);
		$this->assignRef('replies',			$replies);
		$this->assignRef('params',			$params);
			
		parent::display($tpl);
	}

}
