<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @subpackage Views
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 04-Dec-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses. */

//-- No direct access
defined('_JEXEC') or die('=;)');

jimport('joomla.application.component.view');

class ContactViewMessages extends JView
{

	function display($tpl = null)
	{
		$mainframe 	= &JFactory::getApplication();
		$app		= &$mainframe;
		$option = JRequest::getVar('option');
		
		$filter_catid	= $mainframe->getUserStateFromRequest( $option.'.filter_catid', 'filter_catid',	'', 'cmd' );
		
		$user	  = &JFactory::getUser();
		$uri 	  = &JFactory::getURI();
		$model	  = &$this->getModel();
		$document = &JFactory::getDocument();

		$params = &$app->getParams('com_contact_enhanced');
		$menus	= &JSite::getMenu();
		$menu	= $menus->getActive();

		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		if (is_object( $menu )) {
			$menu_params = new JParameter( $menu->params );
			$params->merge($menu_params);
			if (!$params->get( 'page_title')) {
				$params->set('page_title',	$menu->name);
			}
		} else {
			$params->set('page_title',	'');
		}
		$document->setTitle( $params->get( 'page_title' ) );
		
		if($params->get('messages_access_level',2) <= $user->aid){
			$items	= & $this->get('Data');
			$pagination =& $this->get('Pagination');
			$lists = & $this->get('List');
			
			$this->assignRef('items',		$items);
			$this->assignRef('pagination',	$pagination);
			$this->assignRef('lists',		$lists);
			$this->assignRef('filter_catid',$filter_catid);
			$this->assignRef('params',		$params);
			
			parent::display($tpl);
		}else{
			JError::raiseWarning( 0, JText::_('YOU HAVE NO ACCESS TO THIS PAGE') );
		}
		
	}// function
	
	function HTMLPublished( &$row, $i, $imgY = 'tick.png', $imgX = 'publish_x.png', $prefix='' )
	{
		$img 	= $row->published ? $imgY : $imgX;
		$task 	= $row->published ? 'unpublish' : 'publish';
		$alt 	= $row->published ? JText::_( 'Published' ) : JText::_( 'Unpublished' );
		$action = $row->published ? JText::_( 'Unpublish Item' ) : JText::_( 'Publish item' );
		
		$img = '<img src="'.JURI::root().'administrator/images/'. $img .'" border="0" alt="'. $alt .'" />';
		$user	  = &JFactory::getUser();
		if($user->aid == 2){
			$href = '
			<a href="javascript:void(0);" onclick="return listItemTask(\'cb'. $i .'\',\''. $prefix.$task .'\')" title="'. $action .'">
			'.$img.'</a>'
			;
		}else{
			$href = $img;
		}
		return $href;
	}
}// class
